<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSigetiposleisTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('sige.tiposleis', function(Blueprint $table)
		{
			$table->bigInteger('id')->primary('tiposleis_pkey');
			$table->integer('item')->nullable();
			$table->string('inciso')->nullable();
			$table->string('alinea')->nullable();
			$table->text('texto');
			$table->string('nome', 200)->nullable();
			$table->integer('paragrafo')->nullable();
			$table->integer('ano')->nullable();
			$table->integer('numero')->nullable()->unique('uk_8bqsqdc9qrlanc1249wwr7i9v');
			$table->integer('artigo')->nullable();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('sige.tiposleis');
	}

}
